<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<!-- 
	 @description Generate a full list of labels from PS document
	 @author Ringo Chan
	 -->
	 
	<xsl:template match="/">
    <ps-styles>
      <xsl:apply-templates/>
    </ps-styles>
	</xsl:template>
	
  <!-- standard copy template -->
  <xsl:template match="paraLabel[not(following::paraLabel/@name = current()/@name)]">
    <xsl:copy>
      <xsl:copy-of select="@name"/>
      <xsl:attribute name="id" select="concat('ps-paralabel-',@name)"/>
    </xsl:copy>
    <xsl:apply-templates/>
  </xsl:template> 
  
  <xsl:template match="inlineLabel[not(following::inlineLabel/@name = current()/@name)]">
    <xsl:copy>
      <xsl:copy-of select="@name"/>
      <xsl:attribute name="id" select="concat('ps-inlinelabel-',@name)"/>
    </xsl:copy>
    <xsl:apply-templates/>
  </xsl:template> 
  
  <xsl:template match="text()"/>
  
</xsl:stylesheet>